@import '../../assets/style/variables.scss';
@import '../../assets/style/btn.scss';

@mixin icon {
    svg{
        cursor: pointer;
        width: 30px;
        height: 30px;
        fill: $primary;     
    }

    
    &:hover {
        svg {
            fill: darken($primary, 10%);

        }
    }
    &:active{
        svg {
            
            width: 29px;
            height: 29px;
        }
        
    }
}
.card {
    position: relative;
    width: 100%;
    height: 100%;
    .heart {
        position: absolute;
        right: 5px;
        top: 5px;   
        @include icon;
    }
    .title {
        display: block;
        width: 100%;
        text-decoration: none !important;
        color: $primaryBg;
        @include hoverAndActiveLink;
        margin-bottom: 12px;
        line-height: 1.1;
    }

    .bottonBlock {
        width: 100%;
        position: absolute;
        bottom: 6px;
        display: flex;
        justify-content:space-between;
    }
    .prise {
        display: inline;
        font-size: 1.5rem;
        font-weight: 500;
        margin: 0;
    }
    .shopсart {
        display: inline-block;
        @include icon;
        transform: translate(-95%, 12%);

    }
}